# 🧰 logninja-system-optimizer

A secure, interactive CLI utility for optimizing system performance, including CPU, memory, disk, and network usage, built for the **LOGGIE** decentralized infrastructure stack.

> 🔐 Part of the LogNinja Ecosystem  
> 👤 Maintained by: [loggie.eth](https://sepolia.etherscan.io/address/0x8FF60880d97b1E088a3c480e727fa3CefF044712)  
> 🪙 Powered by: [LOGGIE Token](https://sepolia.etherscan.io/token/0x0bDB1e28D64b080892c5A7f9D56b1F98E5Cbf576)

---

## 🚀 What is this?

This tool helps optimize system resources by managing CPU, memory, disk, and network usage. It's perfect for:
- Enhancing system performance in real-time
- Managing server resources effectively
- Automating resource optimization for Linux-based systems

---

## ⚙️ Features

- ✅ Real-time monitoring of CPU, memory, disk, and network usage
- ✅ Dynamic adjustment of system resources (e.g., lowering CPU process priority)
- ✅ Soft throttle of network usage to avoid congestion
- ✅ Logging to both terminal and `optimization.log`
- ✅ Customizable DefCon levels for prioritizing system alerts
- ✅ Configurable optimization intervals via CLI

---

## 📦 Installation

```bash
pip install logninja-system-optimizer
